Subject: Re: [PATCH v2 13/16] bus: vexpress-config: simplify config bus probing

From: Sudeep Holla <[email-masked]>
Date: Fri, 1 May 2020 18:10:43 +0100

On Wed, Apr 29, 2020 at 03:58:22PM -0500, Rob Herring wrote:
> The vexpress-config initialization is dependent on the vexpress-syscfg
> driver probing. As vexpress-config was not a driver, deferred probe
> could not be used and instead initcall ordering was relied upon. This is
> fragile and doesn't work for modules.
> 
> Let's move the config bus init into the vexpress-syscfg probe. This
> eliminates the initcall ordering requirement and the need to create a
> struct device and the "vexpress-config" class.
> 
> Cc: Sudeep Holla <[email-masked]>

Reviewed-by: Sudeep Holla <[email-masked]>

Thanks a lot for all these clean up. It was always confusing to remember
these ordering every time I looked at the code after few months are years,
but never bothered to cleanup as it was *working* 😁.

-- 
Regards,
Sudeep

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel